import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import './assets/main.css'
import './assets/fonts/font.css'

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import locale from 'element-ui/lib/locale/lang/en'

// swiper 
import vueSwiper from 'vue-awesome-swiper'
//引入样式
import 'swiper/css/swiper.css'

// AOS 
import AOS from 'aos'
import 'aos/dist/aos.css'
AOS.init({
    easing: 'ease-out-back',   
    duration: 1000,
    mirror: true,
})
// VueClipboard
import VueClipboard from 'vue-clipboard2'

Vue.use(ElementUI,{ locale })
Vue.use(vueSwiper)
Vue.use(AOS)
Vue.use(VueClipboard)

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
